<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [LogoJsonLd](./gatsby-plugin-next-seo.logojsonld.md)

## LogoJsonLd variable

Specify the image Google Search uses for your organization's logo in Search results and in the Knowledge Graph.

<b>Signature:</b>

```typescript
LogoJsonLd: FC<LogoJsonLdProps>
```

## Remarks

Google Search uses the markup in the use case example to recognize the image to use as the organization’s logo. This ensures that, when possible, the image appears in search results about the company. Markup like this is a strong signal to Google Search algorithms to show this image in Knowledge Graph displays.

```jsx
import React from 'react';
import { LogoJsonLd } from 'gatsby-plugin-next-seo';

export default () => (
  <>
    <h1>Logo JSON-LD</h1>
    <LogoJsonLd logo='http://www.your-site.com/images/logo.jpg' url='http://www.your-site.com' />
  </>
);

```

