<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [ProductJsonLdProps](./gatsby-plugin-next-seo.productjsonldprops.md) &gt; [gtin](./gatsby-plugin-next-seo.productjsonldprops.gtin.md)

## ProductJsonLdProps.gtin property

A Global Trade Item Number ([GTIN](https://www.gs1.org/standards/id-keys/gtin)<!-- -->).

<b>Signature:</b>

```typescript
gtin?: string | string[];
```

## Remarks

GTINs identify trade items, including products and services, using numeric identification codes. The [gtin](http://schema.org/gtin) property generalizes the earlier [gtin8](http://schema.org/gtin8)<!-- -->, [gtin12](http://schema.org/gtin12)<!-- -->, [gtin13](http://schema.org/gtin13)<!-- -->, and [gtin14](http://schema.org/gtin14) properties. The GS1 [digital link specifications](https://www.gs1.org/standards/Digital-Link/) express GTINs as URLs. A correct [gtin](http://schema.org/gtin) value should be a valid GTIN, which means that it should be an all-numeric string of either 8, 12, 13 or 14 digits, or a "GS1 Digital Link" URL based on such a string. The numeric component should also have a [valid GS1 check digit](https://www.gs1.org/services/check-digit-calculator) and meet the other rules for valid GTINs. See also [GS1's GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) and [Wikipedia](https://en.wikipedia.org/wiki/Global_Trade_Item_Number) for more details. Left-padding of the gtin values is not required or encouraged.

