<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [gatsby-plugin-next-seo](./gatsby-plugin-next-seo.md) &gt; [ProductJsonLdProps](./gatsby-plugin-next-seo.productjsonldprops.md) &gt; [images](./gatsby-plugin-next-seo.productjsonldprops.images.md)

## ProductJsonLdProps.images property

The URL(s) of a product photo. Pictures clearly showing the product (for example, against a white background) are preferred.

<b>Signature:</b>

```typescript
images?: string | string[];
```

## Remarks

This property is required for Google Images and recommended for Google Search.

Additional image guidelines:

- Every page must contain at least one image (whether or not you include markup). Google will pick the best image to display in Search results based on the aspect ratio and resolution. - Image URLs must be crawlable and indexable. - Images must represent the marked up content. - Images must be in .jpg, .png, or. gif format. - For best results, provide multiple high-resolution images (minimum of 50K pixels when multiplying width and height) with the following aspect ratios: 16x9, 4x3, and 1x1.

For example:

```js
const props = {
    "image": ["https://example.com/photos/1x1/photo.jpg",
    "https://example.com/photos/4x3/photo.jpg",
    "https://example.com/photos/16x9/photo.jpg"
  ]
}

```

